Bug 433045 - Review Request: php-pear-propel_generator - An Object Relational Mapping (ORM) framework for PHP5
Summary: Review Request: php-pear-propel_generator - An Object Relational Mapping (ORM...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 351441
TreeView+ depends on / blocked
 
Reported: 2008-02-15 21:00 UTC by Alexander Kahl
Modified: 2008-07-11 08:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 08:43:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kahl 2008-02-15 21:00:44 UTC
Spec URL: http://akahl.fedorapeople.org/php-pear-propel/php-pear-propel_generator.spec
SRPM URL: http://akahl.fedorapeople.org/php-pear-propel/php-pear-propel_generator-1.2.1-7.fc8.src.rpm
Description: 
Propel is an Object Relational Mapping (ORM) framework for PHP5.
It allows you to access your database using a set of objects,
providing a simple API for storing and retrieving data.

Propel allows you, the web application developer, to work with
databases in the same way you work with other classes and objects
in PHP.

This package contains the generator component of Propel.

Comment 1 Alexander Kahl 2008-06-01 13:33:17 UTC
Updated Spec URL:
http://akahl.fedorapeople.org/php-pear-propel/php-pear-propel_generator.spec
Updated SRPM URL:
http://akahl.fedorapeople.org/php-pear-propel/php-pear-propel_generator-1.3.0-0.1.rc1.fc9.src.rpm

Changes:
- update to 1.3.0-rc1
- ownership of %%{pear_phpdir}/propel now claimed by both -runtime and
  -generator packages
- dependencies update


Comment 3 Jason Tibbitts 2008-07-04 03:38:28 UTC
Since you fixed this package up with the changes from the propel_runtime review,
I might as well take care of it as well.

All rpmlint has to complain about is the lack of documentation, which is fine.

* source files match upstream:
   f8f5d1743defa37c08b6c28122a02c03a082ed25edc6e14c15026cd8fac68fa6  
   propel_generator-1.3.0RC1.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   php-pear(pear.phpdb.org/propel_generator) = 1.3.0
   php-pear-propel_generator = 1.3.0-0.2.rc1.fc10
  =
   /bin/sh
   /usr/bin/pear
   php-channel(pear.phpdb.org)
   php-cli >= 5.2.0
   php-dom
   php-pdo
   php-pear
   php-pear-phing >= 2.3.0
   php-xml
   php-xsl

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.

APPROVED

Comment 4 Alexander Kahl 2008-07-06 12:02:19 UTC
New Package CVS Request
=======================
Package Name:      php-pear-propel_generator
Short Description: An Object Relational Mapping (ORM) framework for PHP5
Owners:            akahl
Branches:          F-8 F-9
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-07-07 02:10:24 UTC
Does this package and the php-pear-propel_runtime really have the exact same
Short Description? That seems odd. 

cvs done. Feel free to reset the fedora-cvs flag if the Short Description needs
to be updated here. 

Comment 6 Alexander Kahl 2008-07-08 21:03:30 UTC
Well, in fact they are distributed as one php package but two pear packages or
components able to run completely autonomously with no interdependencies. Since
there is a limit of 50 characters for the short description, we could rename
both of them like:
"An ORM framework for PHP5 - runtime component"
"An ORM framework for PHP5 - generator component"
losing some verbosity on the packages' purposes but it's an acceptable drawback
I guess. Is it feasible to change the short descriptions after the source import
at all..?

Comment 7 Kevin Fenzi 2008-07-09 16:51:13 UTC
Yes, the short description is just used in pkgdb, otherwise you can change the
Summary in the spec file as you like. 

There is not a pkgdb interface for users to change the Short Description
currently, so you need a cvsadmin to do so. 

Would you like me to change them as above? Or just leave them for now?

Comment 8 Alexander Kahl 2008-07-10 08:07:44 UTC
Please change them as above - the long description reveals the meaning of "ORM"
and it's surely better to have distinct short descriptions. I'll adapt them in
the spec files.
Thank you!

Comment 9 Kevin Fenzi 2008-07-10 23:07:20 UTC
cvs done.

Comment 10 Alexander Kahl 2008-07-11 08:43:31 UTC
All packages rebuilt with updated summary. Thanks again Kevin!


Note You need to log in before you can comment on or make changes to this bug.